Bug 278329 - Using DigiKam in Ubuntu 11.04 I cannot switch to another language
Summary: Using DigiKam in Ubuntu 11.04 I cannot switch to another language
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-i18n (show other bugs)
Version: 1.9.0
Platform: Debian stable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-23 13:02 UTC by Jowi Krause
Modified: 2021-12-31 16:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.50


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jowi Krause 2011-07-23 13:02:04 UTC
Version:           1.9.0
OS:                Linux

I installed DigiKam using Ubuntu Software center. Is works and seems to be a great program. BUT: While in an earlier version I could simply use the option in the help menu to switch to German (which is also installed in my Ubuntu), in this version only English is being offered. How can I add the option to use DigiKam in German?

Reproducible: Always

Steps to Reproduce:
As described above. I try to use the option "Switch Application Language" under Help, and there is no alterantive language to choose.


Expected Results:  
There should be an option to choose another language
Comment 1 caulier.gilles 2011-07-23 13:28:12 UTC
trnslations are managed by kde packages. you must install kde in german to see digikamin this language
gilles caulier
Comment 2 Marcel Wiesweg 2011-07-23 14:17:04 UTC
As already said, you need to install package containing translations. Any Ubuntu users reading this may give you a hint. Downstream/distribution problem.
Comment 3 Jowi Krause 2011-07-23 17:31:45 UTC
Hi and thanks fo retting back so quickly. But I have no idea what I should download and install.My Ubuntu is runing in three languages, English, German and Russian. But for DigiKam I seem to need some special language packs. Which? Where do I get them?
Comment 4 caulier.gilles 2011-07-25 15:46:58 UTC
Ask to Ubuntu team. we don't know all linux distro specificities...

Gilles Caulier
Comment 5 Vlado Plaga 2011-07-25 19:17:27 UTC
# sudo aptitude install kde-l10n-de

That package depends on "language-pack-kde-de", which in turn depends on "language-pack-kde-de-base" and "language-pack-de-base"... these should include all the translations you need. Of course KDE needs to be set to German.
Comment 6 Jowi Krause 2011-07-26 03:58:03 UTC
Thanks very much. That did it! As soon as had installed the packages, Digikam started in German without my changing anything. The integration is really perfect!
Comment 7 caulier.gilles 2021-12-31 16:04:27 UTC
Fixed with works from bug #438701 for next 7.5.0 release

Gilles Caulier